using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Assets.Scripts.Player;

namespace Assets.Scripts.Core
{
    public interface ICore {
        void SuspendEvent();
        void EndEvent();
        void StartBattle(params Mob[] enemies);
        PlayerStats PlayerStats { get; }
        void GoToMainMenu();
        void GoToCredits();
    }
}
